/*
**      properties.h
**      Database Kit, Release 3.0
**      Copyright (c) 1992, NeXT Computer, Inc.  All rights reserved. 
*/

#import <dbkit/types.h>
#import <dbkit/entities.h>
#import <objc/objc.h>

@class List;

@protocol DBProperties

- (const char*)name;
- (BOOL)setName:(const char*)aName;

- (id<DBEntities>)entity;
- (id<DBTypes>)propertyType;
- (BOOL)matchesProperty:(id<DBProperties>)aProperty;

/*
** useful meta-information
*/
- (BOOL)isSingular;
- (BOOL)isReadOnly;
- (BOOL)isKey;

@end
